CompositeInterceptor (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins.web.filters

## [Java] Class CompositeInterceptor

- org.grails.plugins.web.filters.CompositeInterceptor

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.HandlerInterceptor

      public class CompositeInterceptor
      extends java.lang.Object

  Composed of other HandlerInterceptor instances.

  Authors:
    mike
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.List<org.springframework.web.servlet.HandlerInterceptor>` | `handlers` |
    `protected java.util.List<org.springframework.web.servlet.HandlerInterceptor>` | `handlersReversed` |
    `protected org.slf4j.Logger` | `log` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addHandler(org.springframework.web.servlet.HandlerInterceptor handler)`
    `void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
    `java.util.List<org.springframework.web.servlet.HandlerInterceptor>` | `getHandlers()`
    `protected void` | `initReversed()`
    `void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)`
    `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)`
    `void` | `setHandlers(java.util.List<org.springframework.web.servlet.HandlerInterceptor> handlers)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.List<org.springframework.web.servlet.HandlerInterceptor> handlers

    - #### protected java.util.List<org.springframework.web.servlet.HandlerInterceptor> handlersReversed

    - #### protected final org.slf4j.Logger log

  - ### Method Detail

    - #### public void addHandler(org.springframework.web.servlet.HandlerInterceptor handler)

    - #### public void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

    - #### public java.util.List<org.springframework.web.servlet.HandlerInterceptor> getHandlers()

    - #### protected void initReversed()

    - #### public void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)

    - #### public boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)

    - #### public void setHandlers(java.util.List<org.springframework.web.servlet.HandlerInterceptor> handlers)